Subject: Re: [PATCH v9 1/1] http: Add Accept-Language header if possible

From: Jeff King <[email-masked]>
Date: Wed, 25 Feb 2015 22:10:29 -0500

On Wed, Feb 25, 2015 at 10:04:16PM -0500, Jeff King wrote:

> Another variant of this would for gettext.c to provide a git_setlocale
> that just wraps setlocale (and does nothing when NO_GETTEXT is given).

This doesn't _quite_ work. In addition to the function, we have to have
LC_MESSAGES defined. So we cannot provide a straight git_setlocale, but
it has to be something like "git_message_locale". At which point we
might as well just provide get_preferred_languages() as the interface
between gettext.c and the rest of the program.

-Peff